var player;

function getPlugin( id )
{
	player = document.getElementById( id );
}

function play()
{
	player.Play();
}

function pause()
{
	player.Stop();
}

function stop()
{
	player.Rewind();
}

function step( frames )
{
	player.Step( frames );	
}

function getQuickTimeVersion()
{
	return player.GetQuickTimeVersion();
}

function getQuickTimeLanguage()
{
	return player.GetQuickTimeLanguage();
}

function getConnectionSpeed()
{
	return player.GetQuickTimeConnectionSpeed();
}

function getComponentVersion( type, subType, manufacturer )
{
	return player.GetComponentVersion( type, subType, manufacturer);
}

function getPluginVersion()
{
	return player.GetPluginVersion();	
}

function getResetPropertiesOnReload()
{
	return player.GetResetPropertiesOnReload();	
}

function setResetPropertiesOnReload( reset )
{
	player.SetResetPropertiesOnReload( reset );	
}

/**
 *
 * Waiting  - waiting for the movie data stream to begin
 * Loading  - data stream has begun, not able to play / display the movie yet
 * Playable - movie is playable, although not all data has been downloaded
 * Complete - all data has been downloaded
 * Error: <error number> -  the movie failed with the specified error number
 */
function getPluginStatus()
{
	return player.GetPluginStatus();
}

function getAutoPlay()
{
	return player.GetAutoPlay();
}

function setAutoPlay( autoplay )
{
	player.SetAutoPlay( autoplay );
}

function getControllerVisible()
{
	return player.GetControllerVisible();	
}

function setControllerVisible( visible )
{
	player.SetControllerVisible( visible );	
}

function getRate()
{
	return player.GetRate();
}

function setRate( rate )
{
	player.SetRate( rate );
}

function getQTTime()
{
	return player.GetTime();	
}

function setQTTime( time )
{
	player.SetTime( time );
}

function getVolume()
{
	return player.GetVolume();
}

function setVolume( volume )
{
	player.SetVolume( volume );
}

function getMute()
{
	return player.GetMute();
}

function setMute( mute )
{
	player.SetMute( mute );
}

function getMovieName()
{
	return player.GetMovieName();	
}

function setMovieName( name )
{
	player.SetMovieName( name );
}

function getMovieId()
{
	return player.GetMovieID();
}

function setMovieId( id )
{
	player.SetMovieID( id );
}

function getStartTime()
{
	return player.GetStartTime();	
}

function setStartTime( time )
{
	player.SetStartTime( time );
}

function getEndTime()
{
	return player.GetEndTime();
}

function setEndTime( time )
{
	player.SetEndTime( time );
}

function getBgColor()
{
	player.GetBgColor();	
}

function setBgColor( color )
{
	player.SetBgColor( color );	
}

function getLooping()
{
	return player.GetIsLooping();
}

function setLooping( looping )
{
	player.SetIsLooping( looping );
}

function getPalindromeLooping()
{
	return player.GetLoopIsPalindrome();
}

//player must be set to loop in order for this to take effect
function setPalindromeLooping( reverse )
{
	player.SetLoopIsPalindrome( reverse );
}

function getPlayEveryFrame()
{
	return player.GetPlayEveryFrame();
}

function setPlayEveryFrame( playAll )
{
	player.SetPlayEveryFrame( playAll );
}

function getHREF()
{
	return player.GetHREF();
}

function setHREF( url )
{
	player.SetHREF( url );
}

function getTarget()
{
	return player.GetTarget();
}

function setTarget( target )
{
	player.SetTarget( target );
}

function getQTNextUrl( index )
{
	return player.GetQTNEXTUrl( index );	
}

function setQTNextUrl( index, url )
{
	player.SetQTNEXTUrl( index, url );	
}

function getUrl()
{
	return player.GetURL();
}

function setUrl( url )
{
	player.SetURL( url );
}

function getKioskMode()
{
	return player.GetKioskMode();
}

function setKioskMode( mode )
{
	player.SetKioskMode( mode );
}

function getDuration()
{
	return player.GetDuration();
}

function getTimeLoaded()
{
	return player.GetMaxTimeLoaded();
}

function getTimeScale()
{
	return player.GetTimeScale();
}

function getSize()
{
	return player.GetMovieSize();
}

function getBytesLoaded()
{
	return player.GetMaxBytesLoaded();
}

function getTrackCount()
{
	return player.GetTrackCount();	
}

function getMatrix()
{
	return player.GetMatrix();	
}

function setMatrix( matrix )
{
	player.SetMatrix( matrix );	
}

function getRectangle()
{
	return player.GetRectangle();	
}

function setRectangle( rect )
{
	player.SetRectangle( rect );	
}

function getLanguage()
{
	return player.GetLanguage();	
}

function setLanguage( lang )
{
	player.SetLanguage( lang );	
}

function getMimeType()
{
	return player.GetMIMEType();	
}

function getUserData( type )
{
	return player.GetUserData( type );
}

function getIsVRMovie()
{
	return player.GetIsVRMovie();	
}